<template>
  <div class="bm1-btn" :variant="variant">
    <slot></slot>
  </div>
</template>

<script setup lang="ts">
import { defineComponent } from "vue";

defineComponent({
  name: "BlackModern Button",
});
defineProps({
  variant: {
    type: String as PropType<"Normal" | "Accent">,
    required: false,
    default: "Normal",
  },
});
</script>

<style scoped lang="scss">
a .bm1-btn {
  text-decoration: none;
  padding: 0 20px;
}
button .bm1-btn {
  padding: 0 20px;
}
.bm1-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: fit-content;
  height: 40px;
  font-weight: 600;
  font-size: 14px;
  line-height: 20px;
  text-transform: uppercase;
  border-radius: 6px;
  box-shadow: var(--box-shadow);
  flex-shrink: 0;
  user-select: none;
  cursor: pointer;
  white-space: nowrap;
}
.bm1-btn:active {
  box-shadow: var(--box-shadow-inset);
}

.bm1-btn[variant="Normal"] {
  color: var(--text);
  background: var(--button-bg);
}

.bm1-btn[variant="Normal"]:hover {
  background: var(--button-bg-hover);
}
.bm1-btn[variant="Accent"] {
  background: var(--primary);
  border: 2px solid var(--element-border-color);
  color: var(--textBtn);
}
.bm1-btn[variant="Accent"]:hover {
  background: var(--accent-gradient-hover);
}
@media (max-width: 640px) {
  header .bm1-btn {
    height: 28px;
  }
}
</style>
